<template>
  <div class="box">
    <ul>
      <li
        style="margin-left: 20px"
        @click="changeMeasure(item)"
        v-for="item in itemsOne"
      >
        <div class="divli">
          <div :class="item.class" class="backimge7"></div>
        </div>
        <div class="div_li">{{ $t(item.name) }}</div>
      </li>
    </ul>
  </div>
</template>

<script>
export default {
  data() {
    return {
      itemsOne: [
        {
          id: "1",
          name: "synthesis.distancemeasure",
          class: "g1",
        },
        {
          id: "2",
          name: "synthesis.heightsurve",
          class: "g2",
        },
        {
          id: "3",
          name: "synthesis.areasurvey",
          class: "g3",
        },
        {
          id: "4",
          name: "synthesis.volummeasure",
          class: "g4",
        },
      ],
    };
  },
  methods: {
    changeMeasure(res) {
      var res_val = {
        url: "",
        name: res.name,
      };
      this.$bus.$emit("changetool", res_val);
    },
  },
};
</script>

<style>
.box {
  width: 100%;
  height: 100%;
  position: relative;
}
.box li {
  list-style: none;
  float: left;
  height: 60px;
  text-align: center;
  margin: 2px;
  position: relative;
  cursor: pointer;
  margin-top: 5px;
}
.box ul {
  margin: 0px;
}
.g1 {
  background: url("../../assets/img/synthesis/图层 31.png") no-repeat center;
}
.g2 {
  background: url("../../assets/img/synthesis/图层 31 拷贝.png") no-repeat
    center;
}
.g3 {
  background: url("../../assets/img/synthesis/矩形 13 拷贝.png") no-repeat
    center;
}
.g4 {
  background: url("../../assets/img/synthesis/图层 18 拷贝.png") no-repeat
    center;
}
.backimge7 {
  width: 30px;
  height: 30px;
  position: absolute;
  background-size: 100% 100%;
  margin: 0% 30%;
}
.divli {
  width: 100%;
  height: 50%;
  position: relative;
}
</style>
